Skip to main content
POST
Check Saved Payment

Headers

Abp-TenantId
string
required

Your unique Merchant ID assigned by CommercePay.

Authorization
string
required

Your API credentials used for authentication (typically a Bearer token).

cap-signature
string
required

A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.

Body

uniqueAccountId
string
required

Transaction Username

channelId
integer<int32>

An identifier that represents a CommercePay payment channel. Refer to the id from the response of the Get Channel List.

tenantId
integer<int32> | null

Your unique Merchant ID assigned by CommercePay.

timestamp
integer<int64>

Numeric timestamp in milliseconds representing request validation freshness, generated via new Date().getTime(). Example: 1621851652617.

Example:

1621851652617

Response

Success

isSavedPayment
boolean

Saved user info for subsequent payment.

maskedAccountNumber
string | null

Masked account number. Example: (Phone Number: 60XXXXX123), (Credit Card Number:43******1234)